part of 'action_detail_bloc.dart';

abstract class ActionDetailState {
  const ActionDetailState();

  @override
  List<Object> get props => [];
}

class ActionDetailInitial extends ActionDetailState {}

class ActionDetailLoading extends ActionDetailState {}

class ActionDetailFailure extends ActionDetailState {
  final String errorString;
  ActionDetailFailure({required this.errorString});
}

class ActionDetailSuccess<T> extends ActionDetailState {
  final T item;

  ActionDetailSuccess({required this.item});

  // @override
  // List<Object> get props => [item];
}
